Package Details: cnrdrvcups-lb-bin 6.30.07-1

Git Clone URL: https://aur.archlinux.org/cnrdrvcups-lb-bin.git (read-only, click to copy)
Package Base: cnrdrvcups-lb-bin
Description: CUPS Canon UFR II LIPSLX CARPS2 printer driver for LBP iR MF ImageCLASS ImageRUNNER Laser Shot i-SENSYS ImagePRESS ADVANCE printers and copiers
Upstream URL: https://www.canon-europe.com/support/business/products/office-printers/imagerunner/series/imagerunner-1730i.html
Licenses: custom, MIT, GPL-2.0-only
Conflicts: cndrvcups-common-lb, cndrvcups-lb, cndrvcups-lb-bin, cnrdrvcups-lb
Provides: cnrdrvcups-lb
Submitter: severach
Maintainer: severach
Last Packager: severach
Votes: 8
Popularity: 0.79
First Submitted: 2019-10-20 20:06 (UTC)
Last Updated: 2026-06-09 02:35 (UTC)

Latest Comments

abu_bua commented on 2026-05-06 16:25 (UTC)

A new driver is available → v.630

linux-UFRII-drv-v630-m17n-07.tar.gz

diff --git a/PKGBUILD b/PKGBUILD
index bfdaf88..559d69a 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -30,7 +30,8 @@ pkgname="${pkgbase}"
 #_pkgver='6.00'; _dl='8/0100007658/42';_suffix1='m17n';_suffix2='08' # more drivers than 8/0100007658/43
 #_pkgver='6.00'; _dl='8/0100007658/43';_suffix1='m17n';_suffix2='03'
 #_pkgver='6.10';  _dl='8/0100007658/45';_suffix1='m17n';_suffix2='01'
-_pkgver='6.20';  _dl='8/0100007658/47';_suffix1='m17n';_suffix2='20'
+# _pkgver='6.20';  _dl='8/0100007658/47';_suffix1='m17n';_suffix2='20'
+_pkgver='6.30' _dl='8/0100007658/48' _suffix1='m17n' _suffix2='07'
 pkgver="${_pkgver}.${_suffix2}"
 pkgrel=1
 pkgdesc='CUPS Canon UFR II LIPSLX CARPS2 printer driver for LBP iR MF ImageCLASS ImageRUNNER Laser Shot i-SENSYS ImagePRESS ADVANCE printers and copiers'
@@ -60,8 +61,8 @@ options=('!emptydirs' '!strip' '!libtool' '!debug')
 source=(
     "https://gdlp01.c-wss.com/gds/${_dl}/linux-UFRII-drv-v${_pkgver//\./}-${_suffix1}-${_suffix2}.tar.gz"
 )
-md5sums=('5b42c627a2079fd65cfdc611c6f61b82')
-sha512sums=('ac5ed49da292f4cf84652863762806d2fd3bdb0322c362e405151fb5769a3af5f11c21fe606395eeff933cc88a47fa1d1c3dbd232188cdf0d0db596562d7f868')
+md5sums=('fe47fb8aae918c4987117cc0eba6f888')
+sha512sums=('210aa05136c67a084b92e728666f1a2d6df25eb6fe94ea16f1e7d83b35a61da75ba918e157f4dabba1ef972465132cd5ae14646dfadf4945523b36896f971f8c')

 build() {
     set -u
@@ -85,16 +86,16 @@ build() {
     local _pv="1.${_suffix2}"

     mkdir 'dta'
-  cd 'dta'
+    cd 'dta' || exit
     local _dta="${PWD}"
-  cd "../linux-UFRII-drv-v${_pkgver//./}-${_suffix1}"
+    cd "../linux-UFRII-drv-v${_pkgver//./}-${_suffix1}" || exit
     bsdtar -C "${_dta}" -xf "${_archd[${CARCH}]}/${_archrpmf}/cnrdrvcups-ufr2-uk${_p1}${_pkgver}-${_pv}${_p2}${_archf[${CARCH}]}.${_archrpme}"
     if [ "${_opt_RPM}" -eq 0 ]; then
-    pushd "${_dta}" > /dev/null
+        pushd "${_dta}" >/dev/null || exit
         bsdtar -xf data.tar.?z
         rm data.tar.?z control.tar.?z
         rm -r 'usr/share/doc/'
-    popd > /dev/null
+        popd >/dev/null || exit
     fi

     if [ "${_opt_ppdlevel}" -ge 1 ]; then
@@ -119,9 +120,9 @@ build() {
             local _f
             for _f in PPD/Debian/cnrcups*.deb; do
                 bsdtar -C "${_dta}/z" -xf "${_f}"
-        pushd "${_dta}/z" > /dev/null
+                pushd "${_dta}/z" >/dev/null || exit
                 bsdtar -xf data.tar.?z
-        popd > /dev/null
+                popd >/dev/null || exit
             done
             mv "${_dta}/z/usr/share/cups/model"/*.ppd "${_dta}/usr/share/cups/model/"
             rm -r "${_dta}/z"

harre commented on 2024-10-01 00:37 (UTC)

I have patched locally to use the new driver

% git diff  
diff --git a/PKGBUILD b/PKGBUILD  
index b45ddd5..9499c96 100644  
--- a/PKGBUILD  
+++ b/PKGBUILD  
@@ -26,7 +26,8 @@ pkgname="${pkgbase}"  
#_pkgver='5.60'; _dl='8/0100007658/31';_suffix1='m17n';_suffix2='10'  
#_pkgver='5.70'; _dl='8/0100007658/33';_suffix1='m17n';_suffix2='11'  
#_pkgver='5.70'; _dl='8/0100007658/34';_suffix1='m17n';_suffix2='13'  
-_pkgver='5.80'; _dl='8/0100007658/38';_suffix1='m17n';_suffix2='04'  
+#_pkgver='5.80'; _dl='8/0100007658/38';_suffix1='m17n';_suffix2='04'  
+_pkgver='6.00'; _dl='8/0100007658/42';_suffix1='m17n';_suffix2='08'  
pkgver="${_pkgver}.${_suffix2}"  
pkgrel=1  
pkgdesc='CUPS Canon UFR II LIPSLX CARPS2 printer driver for LBP iR MF ImageCLASS ImageRUNNER Laser Shot i-SENSYS ImagePRESS ADVANCE printers and copiers'  
@@ -52,10 +53,10 @@ conflicts=('cndrvcups-lb' 'cndrvcups-common-lb')  
conflicts+=('cndrvcups-lb-bin' 'cnrdrvcups-lb')  
options=('!emptydirs' '!strip' '!libtool')  
source=(  
- "http://gdlp01.c-wss.com/gds/${_dl}/linux-UFRII-drv-v${_pkgver//\./}-${_suffix1}-${_suffix2}.tar.gz"  
+ "https://gdlp01.c-wss.com/gds/${_dl}/linux-UFRII-drv-v${_pkgver//\./}-${_suffix1}-${_suffix2}.tar.gz"  
)  
-md5sums=('f21fc68223967a5897ba52fd7942ced7')  
-sha512sums=('c040a636223da374d342c915ecee8de5d3689786430ada9da6b2660f6467290cb23ededc02d1509cafbec86fbfe19a5631a68cfb0b4f2cfd8fff6c2a50ea4724')  
+md5sums=('55050290d01fe0834af5318c5118f514')  
+sha512sums=('0564075a7321e3005ebd6d3d94a1bee1ed811805007fad348dcc6e6b884eb3790dc6183e1fdedcdf4ba63561264d3fa81f38657b4e7a8cfe08954ec1e61990a7')

build() {  
set -u

codecoo commented on 2024-09-11 11:52 (UTC)

I got this error while installing "Failure while downloading http://gdlp01.c-wss.com/gds/8/0100007658/38/linux-UFRII-drv-v580-m17n-04.tar.gz" It seems the website is down.

sippiecup commented on 2023-09-20 02:15 (UTC)

libjbig-shared is no longer available.

comradeblue commented on 2021-11-24 18:02 (UTC)

libjbig-shared and libjpeg6-turbo probably shouldn't be optional. I needed both to stop the CPU hangs.

severach commented on 2021-02-25 02:49 (UTC)

There are no 32 bit executables to use lib32-libjpeg6-turbo. Remove it and see if the printer still works.

caenox commented on 2021-02-24 21:45 (UTC)

I had the same CPU bug, it was fixed by installing https://archlinux.org/packages/community/x86_64/libjpeg6-turbo/ and https://archlinux.org/packages/multilib/x86_64/lib32-libjpeg6-turbo/

All this using a ImageCLASS MF644Cdw.

compwiztobe commented on 2021-02-16 08:38 (UTC)

I had the same CPU bug with cnpkmoduleufr2r as reported for the version of this package built from source (cnrdrvcups-lb), and similarly fixed it by installing libjpeg6-turbo. Perhaps this should be a required dependency, not only optional? Or the byline should say something stronger than "improves printing results" which sounds like only print quality?

This is with an IMAGEclass MF735Cxz.